///--------------------------------------------------------------------------------------
//	SpriteCompiler.h
//
//	Portions are copyright:  1991-94 Tony Myles, All rights reserved worldwide.
//
//	Description:	constants, structures, and prototypes for the sprite compiler
///--------------------------------------------------------------------------------------

#ifndef __SPRITECOMPILER__
#define __SPRITECOMPILER__

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __SWCOMMON__
#include <SWCommonHeaders.h>
#endif

#ifndef __SPRITEFRAME__
#include <SpriteFrame.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

	// 68k code compiler functions:
SW_FUNC OSErr SWCompileSprite(
	SpritePtr srcSpriteP);

SW_FUNC OSErr SWCompileFrame(
	FramePtr srcFrameP);

	// RLE compiler
SW_FUNC OSErr SWCreateRLEData(
	SpritePtr srcSpriteP);

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif	/* __SPRITECOMPILER__ */
