#-----------------------------------------------------------------------
#	Makefile for MPW (Macintosh Programmers Workshop by Apple)
#
#   File:       MPWExtras.make
#   Project:    MPWExtras
#
#	Written by Anders F Bjrklund <afb@algonet.se>
#-----------------------------------------------------------------------

Objects		=	QDGlobals.o QDGlobals.x ApplicationSize.r

MPWExtras		All
All				Debug Final
Debug			{Objects}
Final			{Objects}

#-----------------------------------------------------------------------

QDGlobals.o		QDGlobals.c
	Echo "# Compiling {Deps} using {C}"
	{C} {Deps} -o {Targ}

QDGlobals.x		QDGlobals.c
	Echo "# Compiling {Deps} using {PPCC}"
	{PPCC} {Deps} -o {Targ}

ApplicationSize.r  ApplicationSize.rsrc
	Echo "# Preparing {Targ} file for Rez"
#	Echo "Include "{Deps}";" >{Targ}
	Echo "#include "Types.r"" >{Targ}
	DeRez -i {RIncludes} {Deps} Types.r >>{Targ}
	
Clean		
	Echo "# Removing objects"
	Delete -i {Objects}
	Delete -y Objects DebugObjects

Clean-All	 Clean
	Echo "# Removing binaries"
	
